**`Abhijit Roy`[NAME]** -NL- **`Java Developer`[EMPLOYER_ROLE]** -NL- Multi-talented Senior **`Java Developer`[EMPLOYER_ROLE]** well-versed in full SDLC and capable of thriving with Agile -NL- development methodologies. Highly productive and adaptable with excellent communication and -NL- planning abilities. Ready to offer 8 years' experience and take on a dynamic role with the opportunity for -NL- career growth. -NL- **`Work History`[WORK_EXPERIENCE_HEADING]** -NL- 2019-01 - Current -NL- Technical Lead -NL- **`Altran`[EMPLOYER_COMPANY_NAME]**, Bangalore , Karnataka -NL- Taken complete ownership of a couple of projects -NL- which I implemented from the scratch. -NL- Projects: UTP in STT tools, UTP Session creation Tools, -NL- Java-based Unified System Trace, Perl based -NL- Unified System Trace, STT Statistics -NL- Scrum master: Taken opportunity to drive the Daily -NL- stand up/meeting for STT tools. -NL- Participated recruitment drive to recruit front-end -NL- developer(Java) at the project level(STT Tools) -NL- Code review: at the same time, use to do the -NL- code review for other peers(STT Tools). -NL- To expand our business, have delivered a STT Tools -NL- training as a host to a new Customer (Microsoft). -NL- Training content: Presentation, Live Demo,QA -NL- session. -NL- Investigated and addressed System Trace Tools -NL- issues to enhance usability and improve -NL- functionality. -NL- Utilized Agile methodology to keep operations -NL- moving smoothly. -NL- Wrote, modified and maintained STT Tools -NL- documentation and specifications. -NL- Resolved all issues efficiently and enhanced -NL- customer satisfaction. -NL- Adjusted software parameters to boost -NL- performance and incorporate new features. -NL- **`Contact`[PERSONAL_DETAILS_HEADING]** -NL- Address -NL- 1202, Wing-2, Ahad -NL- Euphoria, Carmelaram, -NL- Sarjapur Main Road -NL- Bangalore , Karnataka, -NL- 560035 -NL- Phone -NL- **`767-685-3169`[PHONES_PHONE]** -NL- E-mail -NL- abhijit.java.roy@gmail.co -NL- m -NL- **`Skills`[SKILLS_HEADING]** -NL- Core Java -NL- Collections -NL- Multithreading -NL- Concurrency -NL- Data Structure and -NL- Algorithm -NL- Design principles -NL- Object-oriented -NL- programming -NL- Investigated issues and defects to determine -NL- problem root cause and formulate corrective -NL- action recommendations. -NL- 2017-11 - 2018-12 -NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** -NL- **`Aricent`[EMPLOYER_COMPANY_NAME]**, Bangalore , Karnataka -NL- Revised, modularized and updated old code -NL- bases to modern development standards (STTv2 to -NL- STTv3 tools migration). -NL- Provided the Backward compatibility from -NL- Ant-based STT to Mavenized STT Tools. -NL- POC of UTP Server processing: It helps to connect -NL- the UTP user ticket and create a corresponding -NL- session for user issue if any ISTP is available also -NL- helps to fetch all the current user's/customized -NL- user's UTP tickets into the STT tools. -NL- Another created proofs of concept - Unified -NL- System Trace which helps to extract the traces and -NL- store the messages details into DB. -NL- Flexibility has shown in working in different -NL- domains/skills offered by the manager to ensure -NL- high utilization -NL- - For example, Unified System Trace UI -NL- development, Tools created for internal STT user -NL- statistics etc -NL- Taken the opportunity to guide the interns (UTP -NL- server processing work). -NL- Follow the Agile methodology which helps us to -NL- build a good team. Work together in a -NL- synchronized way(100% transparency) [team -NL- members, product owner and customers] -NL- Worked with project managers, developers, quality -NL- assurance and customers to resolve technical -NL- issues. -NL- 2014-05 - 2017-10 -NL- **`Java Developer`[EMPLOYER_ROLE]** -NL- **`Oracle`[EMPLOYER_COMPANY_NAME]**, Bangalore , Karnataka -NL- Incident Management Tools -NL- - Modified existing Tools to correct coding error, -NL- upgrade Interfaces (Introduced Bootstrap -NL- framework in the front end area) and improve -NL- overall performance (Model and Business Logic -NL- (Rewrite the logic of pagination from client side -NL- data table to server side data table). -NL- Reporting DB (Bug Analyzer Tool) -NL- - Created a new schema and written a DB script -NL- for Reporting DB (Dev. Environment) -NL- - Populated all the Production data into the Dev. -NL- Env. -NL- - Revamped the Bug Analyzer Tool UI to give a -NL- standard look. -NL- bugs.java.com (Bugs viewing Application) -NL- - Clean up Activity (Removed all irrelevant files -NL- from the project) -NL- - Rewrite Bugs Views App -NL- - Complete Front end Change using Bootstrap and -NL- CSS, HTML5, JavaScript -NL- - FAQ Info page (Introduced dynamic FAQ info -NL- loading mechanism rather making a static html -NL- page) -NL- bugreport.java.com ( Report a New issue) -NL- - Modified the Old logic to capture all valid JDK -NL- versions from the Crash log -NL- - Rewritten the functionality for JDK Regression -NL- Value -NL- 2011-12 - 2013-12 -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- **`Ultimate Digital Solutions Pvt. Ltd.`[EMPLOYER_COMPANY_NAME]**, kolkata, West -NL- Bengal -NL- Developed a new application from scratch using -NL- Core Java, Java Swing and MySQL -NL- Tools: CSV generation tool, NPR Schedule checking, -NL- NPR Zip Code Updating Tools -NL- Handled National Population Register (ECIL) -NL- project as a Consultant (like, Developed new Java -NL- Tools, Taking daily backup from DB, running cron -NL- jobs on the Linux Server) -NL- **`Education`[EDUCATION_HEADING]** -NL- 2007-07 - 2011-07 -NL- **`B-Tech`[EDUCATION_DEGREE]**:**` Computer Science of Engineering`[EDUCATION_COURSE]** -NL- **`West Bengal University Of Technology `[EDUCATION_INSTITUTE]**- Kolkata -NL- **`Certifications`[OTHERS_HEADING]** -NL- 2017-03 -NL- **`Oracle`[EMPLOYER_COMPANY_NAME]** Certified Associate 8 -NL- **`Hobbies`[OTHERS_HEADING]** -NL- Drawing -NL- Cooking -NL- Watching Car's Youtube Vlog -NL- Listening Bengali audio story - Sunday Suspense -NL- [Radio Mirchi] -NL- 